%define path /root/verify

Summary: Testing for specific rootkits
Name: zz_checkroot
Version: 1.0
Release: 1
License: GPL
Group: Fermi
Source0: zz_verify.script
Source1: verify.script
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: ftp
Prereq: unhide

%description
This is a test rpm used for testing for rootkits at Fermi

%prep

%install
#This cleans up the old build root area
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
#Here we make the correct directory, cd to it, and untar our tarball
mkdir -p $RPM_BUILD_ROOT/%{path}
cd $RPM_BUILD_ROOT/%{path}
cp %{SOURCE0} .
cp %{SOURCE1} .

%clean
#This cleans up the old build root area when we are done
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%post
%{path}/zz_verify.script

%files
%defattr(700, root, root)
%{path}/

%changelog
* Tue Apr 21 2009 Troy Dawson <dawson@fnal.gov> 1.0-1
- First pass.
